System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.ChannelFactoryBase System.ServiceModel.Channels.IChannelFactory<TChannel> To be added.

The channels created by channel factories on the client are accepted on the server by channel listeners. Once the channel connection is established between client and service, they can communicate by exchanging messages.

The uses the specified address as the destination for outgoing messages. The ServiceAddress.Uri property is used as the To header in the message. The ServiceReference.Via property is used as the physical destination to send messages to. This is typically the same as the ServiceAddress.Uri value.

Provides a common base implementation for channel factories on the client to create channels of a specified type connected to a specified address.

- Constructor
  4.0.0.0

  The default constructor initializes timeout properties with the service model timeout values when exchanging messages. The default value is 1 minute for open, send, and close operations and 10 minutes for the receive operation. Use if you want to specify other values for these operation timeouts.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  Use instead of the default constructor if you want to specify custom values for the open, send, receive, and close operation timeouts instead of using the service model default values.

  Initializes a new instance of the class with the default communication timeouts specified.

  The that specifies the default timeouts for open, send, receive, and close operations when exchanging messages.
- Method
  4.0.0.0
  TChannel `` To be added.

  This method calls when invoked. This method cannot be overridden by a derived class.

  This uses as the transport address to which messages are sent on the output channel.

  Creates a particular type of channel with a specified endpoint address.

  A channel of type with the specified .

- Method
  4.0.0.0
  TChannel `` `` To be added.

  This method calls when invoked.

  Creates a particular type of channel with specified transport and endpoint addresses.

  A channel of type with the specified remote and transport addresses.

  The that contains the transport address to which messages are sent on the output channel.
- Method
  4.0.0.0
  System.Void

  This method is called by .

  Aborts each channel managed by the channel factory.

- Method
  4.0.0.0
  System.IAsyncResult `` `` `` To be added.

  Begins an asynchronous operation to close all the channels associated with the channel factory within a specified interval of time.

  The that references the asynchronous on-close operation.

  The that specifies how long the on-close operation has to complete before timing out. The delegate that receives the notification of the asynchronous completion of the on-close operation. An object, specified by the application, that contains state information associated with the asynchronous on-close operation.
- Method
  4.0.0.0
  System.Void ``

  This method sequentially attempts to close all of the active channels associated with the channel factory in no particular order. The timeout parameter is the cumulative amount of time available for closing all of the channels. If a graceful close of one of the channels fails (for example, if the channel is faulted causing an exception to be thrown) then this operation fails and does not attempt to close the remaining channels. Failure in this method causes the factory and any remaining channels to be aborted rather than closed.

  This method is called by .

  Closes all the channels associated with the channel factory within a specified interval of time.

  The that specifies how long the on-close operation has to complete before timing out.
- Method
  4.0.0.0
  TChannel `` `` To be added.

  This method is called by when invoked.

  When implemented in a derived class, provides an extensibility point when creating channels.

  A channel of type with the specified addresses.

  The that contains the transport address to which messages are sent on the output channel.
- Method
  4.0.0.0
  System.Void `` To be added.

  Completes an asynchronous operation to close all the channels associated with the channel factory within a specified interval of time.

  The returned by a call to the method.
- Method
  4.0.0.0
  System.Void

  The method throws one of the exceptions listed and checks for the conditions in the order they are listed in the table.

  Confirms that the channel factory is opened and ready to create channels.